import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormControl } from '@angular/forms';
import { BehaviorSubject } from 'rxjs';
import { GeocoderService } from './angular-geocoder.service';
import { SuggestObjectWithHighlight } from './locatieserver.model';
import * as i0 from "@angular/core";
export declare class GeocoderComponent implements OnInit, OnChanges {
    private geocoderService;
    private geocoderRef;
    type: string;
    searchInput: string;
    placeholder: string;
    resultCountLimit: number;
    province: string;
    fullscreen: boolean;
    placeFound: EventEmitter<any>;
    clearResults: EventEmitter<any>;
    query: EventEmitter<string>;
    hasFocus: boolean;
    formattedPlaceholder: string;
    searchControl: FormControl<string>;
    suggest$: import("rxjs").Observable<{
        collations: any[];
        places: SuggestObjectWithHighlight[];
    }>;
    otherResults$: BehaviorSubject<any[]>;
    collationclear$: BehaviorSubject<any[]>;
    places$: import("rxjs").Observable<any[] | SuggestObjectWithHighlight[]>;
    collations$: import("rxjs").Observable<any[]>;
    foundPlace$: BehaviorSubject<any>;
    searchThreshold: number;
    selectedIndex: number;
    lookupResponseFound: boolean;
    clickout(event: any): void;
    constructor(geocoderService: GeocoderService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private suggest;
    lookup(id: string): Promise<void>;
    clear(): void;
    clearPlaces(): void;
    handleEnter(places: SuggestObjectWithHighlight[]): void;
    reachedThreshold$: import("rxjs").Observable<boolean>;
    noPlacesFound$: import("rxjs").Observable<boolean>;
    noResult$: import("rxjs").Observable<boolean>;
    isNoResultsFound$: import("rxjs").Observable<boolean>;
    fillInput(content: string, emitEvent?: boolean): void;
    isHighlighted(i: number): boolean;
    moveUp(): void;
    moveDown(places: SuggestObjectWithHighlight[]): void;
    resetIndex(): void;
    canQuery(): boolean;
    canClear(): boolean;
    formatPlaceholder(placeholder: string): string;
    onCollationClick(name: string): void;
    showSuggestions(): void;
    private hideResults;
    private formatSearchTerm;
    static ɵfac: i0.ɵɵFactoryDeclaration<GeocoderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GeocoderComponent, "angular-geocoder", never, { "type": "type"; "searchInput": "searchInput"; "placeholder": "placeholder"; "resultCountLimit": "resultCountLimit"; "province": "province"; "fullscreen": "fullscreen"; }, { "placeFound": "placeFound"; "clearResults": "clearResults"; "query": "query"; }, never, never, false>;
}
